function G = grad(Y,C)
% GRAD	computes the gradient of the function F at the point Y.
%	
%	G = GRAD(Y)
%	Y is expected to satisfy diag(Y*Y')=I.
%	G will satisfy G = P_tangent(Y,dF(Y,C))
%

G = P_tangent(Y,dF(Y,C));
