function Delta = P_tangent( Y, X )
% Delta = P_tangent( Y, X )
% projects X onto the tangent space at Y thereby producing Delta
% The manifold here is { Y nxd real matrix, norm(Y(i,:))=1 i=1:n } (n products of the d-1 sphere)

Delta = X - diag( diag( X * Y' ) ) * Y;
